package com.egdigital.allzic.data.json;

import java.util.List;

import com.android.volley.VolleyError;
import com.android.volley.toolbox.Volley;

/**
 * Interface definition to get feedback from {@link Volley}
 */
public interface JsonCallBack {

	public void downloadStarted();

	public void downloadPercent(int percent);

	public <T> void downloadCompleted(List<T> list);

	public void downloadEndedWithError(VolleyError error);
}
